# Interface methods for submodule: AnisotropicDiffusionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DenseFiniteDifferenceImageFilterProxy as _DenseFiniteDifferenceImageFilterProxy


# Interface methods for class: AnisotropicDiffusionImageFilter
class AnisotropicDiffusionImageFilterProxy(_DenseFiniteDifferenceImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetTimeStep(self, _arg: float) -> None:
		""""""
		...

	def GetTimeStep(self) -> float:
		""""""
		...

	def SetConductanceParameter(self, _arg: float) -> None:
		""""""
		...

	def GetConductanceParameter(self) -> float:
		""""""
		...

	def SetConductanceScalingUpdateInterval(self, _arg: int) -> None:
		""""""
		...

	def GetConductanceScalingUpdateInterval(self) -> int:
		""""""
		...

	def SetConductanceScalingParameter(self, _arg: float) -> None:
		""""""
		...

	def GetConductanceScalingParameter(self) -> float:
		""""""
		...

	def SetFixedAverageGradientMagnitude(self, a: float) -> None:
		""""""
		...

	def GetFixedAverageGradientMagnitude(self) -> float:
		""""""
		...

